/* BH Reassurance Block Styles */

.bh-reassurance-block {
  width: 100%;
  max-width: 1200px;
  padding: 65px 0;
  position: relative;
}

.bh-reassurance-block::before {
  content: '';
  position: absolute;
  inset: 0;
  margin: auto;
  width: 100%;
  height: 400px;
  filter: blur(50px);
  background-image: url("data:image/svg+xml,%3Csvg width='1642' height='292' viewBox='0 0 1642 292' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cellipse cx='821' cy='146' rx='821' ry='146' fill='%23E22415' fill-opacity='0.2'/%3E%3C/svg%3E%0A");
  background-size: 100% 100%;
  z-index: -1;
}

.bh-reassurance-top {
  display: flex;
  gap: 16px;
  margin-bottom: 16px;
}

.bh-reassurance-items {
  gap: 50px;

  .bh-reassurance-item {
    width: 33%;
  }
}

.bh-reassurance-item .bh-reassurance-description {
  color: rgba(255, 255, 255, 0.8);
}

/* Responsive adjustments */
@media (max-width: 640px) {

  .bh-reassurance-block {
    padding: 35px 0;
  }

  .bh-reassurance-title {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 700;
  }

  div[id^="bh-reassurance-"] {
    padding-bottom: 5px;

    .swiper-nav {
      display: flex;
      justify-content: flex-end;
      gap: 12px;
      margin-top: 15px;
    }
    .swiper-pagination {
      text-align: left;
      display: flex;
      flex-wrap: wrap;
      gap: 8px;
      margin-right: 10px;
      position: relative;
      bottom: -40px !important;
      transform: none !important;
      left: 0 !important;
      width: 100%!important;
    }
    .swiper-pagination-bullet {
      width: 44px!important;
      left: 0!important;
      height: 7px;
      border-radius: 5px;
      background: rgba(255, 255, 255, 0.6);
      margin: 0 4px !important;
      transform: none !important;
      transition: .3s ease!important;
    }
    .swiper-pagination-bullet-active {
      background: #fff;
    }
  }
}
